Package org.apache.any23.vocab

## Class VCard

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.VCard

-     public class VCard
      extends Vocabulary

  Vocabulary definitions from vcard.owl

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `additional_name` | An additional part of a person's name.
    `org.eclipse.rdf4j.model.IRI` | `Address` | Resources that are vCard (postal) addresses.
    `org.eclipse.rdf4j.model.IRI` | `addressType` |
    `org.eclipse.rdf4j.model.IRI` | `adr` | A postal or street address of a person.
    `org.eclipse.rdf4j.model.IRI` | `agent` | A person that acts as one's agent.
    `org.eclipse.rdf4j.model.IRI` | `altitude` | The altitude of a geographic location.
    `org.eclipse.rdf4j.model.IRI` | `bday` | The birthday of a person.
    `org.eclipse.rdf4j.model.IRI` | `category` | A category of a vCard.
    `org.eclipse.rdf4j.model.IRI` | `class_` | A class (e.g., public, private, etc.) of a vCard.
    `org.eclipse.rdf4j.model.IRI` | `country_name` | The country of a postal address.
    `org.eclipse.rdf4j.model.IRI` | `email` | An email address.
    `org.eclipse.rdf4j.model.IRI` | `extended_address` | The extended address of a postal address.
    `org.eclipse.rdf4j.model.IRI` | `family_name` | A family name part of a person's name.
    `org.eclipse.rdf4j.model.IRI` | `fax` | A fax number of a person.
    `org.eclipse.rdf4j.model.IRI` | `fn` | A formatted name of a person.
    `org.eclipse.rdf4j.model.IRI` | `geo` | A geographic location associated with a person.
    `org.eclipse.rdf4j.model.IRI` | `given_name` | A given name part of a person's name.
    `org.eclipse.rdf4j.model.IRI` | `homeAdr` | A home address of a person.
    `org.eclipse.rdf4j.model.IRI` | `homeTel` | A home phone number of a person.
    `org.eclipse.rdf4j.model.IRI` | `honorific_prefix` | An honorific prefix part of a person's name.
    `org.eclipse.rdf4j.model.IRI` | `honorific_suffix` | An honorific suffix part of a person's name.
    `org.eclipse.rdf4j.model.IRI` | `key` | A key (e.g, PKI key) of a person.
    `org.eclipse.rdf4j.model.IRI` | `label` | The formatted version of a postal address (a string with embedded line breaks, punctuation, etc.).
    `org.eclipse.rdf4j.model.IRI` | `latitude` | The latitude of a geographic location.
    `org.eclipse.rdf4j.model.IRI` | `locality` | The locality (e.g., city) of a postal address.
    `org.eclipse.rdf4j.model.IRI` | `Location` | Resources that are vCard geographic locations.
    `org.eclipse.rdf4j.model.IRI` | `logo` | A logo associated with a person or their organization.
    `org.eclipse.rdf4j.model.IRI` | `longitude` | The longitude of a geographic location.
    `org.eclipse.rdf4j.model.IRI` | `mailer` | A mailer associated with a vCard.
    `org.eclipse.rdf4j.model.IRI` | `mobileEmail` | A mobile email address of a person.
    `org.eclipse.rdf4j.model.IRI` | `mobileTel` | A mobile phone number of a person.
    `org.eclipse.rdf4j.model.IRI` | `n` | The components of the name of a person.
    `org.eclipse.rdf4j.model.IRI` | `Name` | Resources that are vCard personal names.
    `org.eclipse.rdf4j.model.IRI` | `NAMESPACE` | The namespace of the vocabulary as a IRI.
    `org.eclipse.rdf4j.model.IRI` | `nickname` | The nickname of a person.
    `org.eclipse.rdf4j.model.IRI` | `note` | Notes about a person on a vCard.
    `static String` | `NS` | The namespace of the vocabulary as a string.
    `org.eclipse.rdf4j.model.IRI` | `org` | An organization associated with a person.
    `org.eclipse.rdf4j.model.IRI` | `Organization` | Resources that are vCard organizations.
    `org.eclipse.rdf4j.model.IRI` | `organization_name` | The name of an organization.
    `org.eclipse.rdf4j.model.IRI` | `organization_unit` | The name of a unit within an organization.
    `org.eclipse.rdf4j.model.IRI` | `personalEmail` | An email address unaffiliated with any particular organization or employer; a personal email address.
    `org.eclipse.rdf4j.model.IRI` | `photo` | A photograph of a person.
    `org.eclipse.rdf4j.model.IRI` | `post_office_box` | The post office box of a postal address.
    `org.eclipse.rdf4j.model.IRI` | `postal_code` | The postal code (e.g., U.S.
    `org.eclipse.rdf4j.model.IRI` | `region` | The region (e.g., state or province) of a postal address.
    `org.eclipse.rdf4j.model.IRI` | `rev` | The timestamp of a revision of a vCard.
    `org.eclipse.rdf4j.model.IRI` | `role` | A role a person plays within an organization.
    `org.eclipse.rdf4j.model.IRI` | `sort_string` | A version of a person's name suitable for collation.
    `org.eclipse.rdf4j.model.IRI` | `sound` | A sound (e.g., a greeting or pronounciation) of a person.
    `org.eclipse.rdf4j.model.IRI` | `street_address` | The street address of a postal address.
    `org.eclipse.rdf4j.model.IRI` | `tel` | A telephone number of a person.
    `org.eclipse.rdf4j.model.IRI` | `Telephone` | Resources that are vCard Telephones.
    `org.eclipse.rdf4j.model.IRI` | `title` | A person's title.
    `org.eclipse.rdf4j.model.IRI` | `tz` | A timezone associated with a person.
    `org.eclipse.rdf4j.model.IRI` | `uid` | A UID of a person's vCard.
    `org.eclipse.rdf4j.model.IRI` | `unlabeledAdr` | An (explicitly) unlabeled address of a person.
    `org.eclipse.rdf4j.model.IRI` | `unlabeledEmail` | An (explicitly) unlabeled email address of a person.
    `org.eclipse.rdf4j.model.IRI` | `unlabeledTel` | An (explicitly) unlabeled phone number of a person.
    `org.eclipse.rdf4j.model.IRI` | `url` | A URL associated with a person.
    `org.eclipse.rdf4j.model.IRI` | `VCard` | Resources that are vCards
    `org.eclipse.rdf4j.model.IRI` | `workAdr` | A work address of a person.
    `org.eclipse.rdf4j.model.IRI` | `workEmail` | A work email address of a person.
    `org.eclipse.rdf4j.model.IRI` | `workTel` | A work phone number of a person.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VCard()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static VCard` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      The namespace of the vocabulary as a string.
      See Also:
        Constant Field Values

    - #### NAMESPACE

          public final org.eclipse.rdf4j.model.IRI NAMESPACE

      The namespace of the vocabulary as a IRI.

    - #### additional_name

          public final org.eclipse.rdf4j.model.IRI additional_name

      An additional part of a person's name.

    - #### adr

          public final org.eclipse.rdf4j.model.IRI adr

      A postal or street address of a person.

    - #### agent

          public final org.eclipse.rdf4j.model.IRI agent

      A person that acts as one's agent.

    - #### altitude

          public final org.eclipse.rdf4j.model.IRI altitude

      The altitude of a geographic location.

    - #### bday

          public final org.eclipse.rdf4j.model.IRI bday

      The birthday of a person.

    - #### category

          public final org.eclipse.rdf4j.model.IRI category

      A category of a vCard.

    - #### class_

          public final org.eclipse.rdf4j.model.IRI class_

      A class (e.g., public, private, etc.) of a vCard.

    - #### country_name

          public final org.eclipse.rdf4j.model.IRI country_name

      The country of a postal address.

    - #### email

          public final org.eclipse.rdf4j.model.IRI email

      An email address.

    - #### extended_address

          public final org.eclipse.rdf4j.model.IRI extended_address

      The extended address of a postal address.

    - #### family_name

          public final org.eclipse.rdf4j.model.IRI family_name

      A family name part of a person's name.

    - #### fax

          public final org.eclipse.rdf4j.model.IRI fax

      A fax number of a person.

    - #### fn

          public final org.eclipse.rdf4j.model.IRI fn

      A formatted name of a person.

    - #### geo

          public final org.eclipse.rdf4j.model.IRI geo

      A geographic location associated with a person.

    - #### given_name

          public final org.eclipse.rdf4j.model.IRI given_name

      A given name part of a person's name.

    - #### homeAdr

          public final org.eclipse.rdf4j.model.IRI homeAdr

      A home address of a person.

    - #### homeTel

          public final org.eclipse.rdf4j.model.IRI homeTel

      A home phone number of a person.

    - #### honorific_prefix

          public final org.eclipse.rdf4j.model.IRI honorific_prefix

      An honorific prefix part of a person's name.

    - #### honorific_suffix

          public final org.eclipse.rdf4j.model.IRI honorific_suffix

      An honorific suffix part of a person's name.

    - #### key

          public final org.eclipse.rdf4j.model.IRI key

      A key (e.g, PKI key) of a person.

    - #### label

          public final org.eclipse.rdf4j.model.IRI label

      The formatted version of a postal address (a string with embedded line breaks, punctuation, etc.).

    - #### latitude

          public final org.eclipse.rdf4j.model.IRI latitude

      The latitude of a geographic location.

    - #### locality

          public final org.eclipse.rdf4j.model.IRI locality

      The locality (e.g., city) of a postal address.

    - #### logo

          public final org.eclipse.rdf4j.model.IRI logo

      A logo associated with a person or their organization.

    - #### longitude

          public final org.eclipse.rdf4j.model.IRI longitude

      The longitude of a geographic location.

    - #### mailer

          public final org.eclipse.rdf4j.model.IRI mailer

      A mailer associated with a vCard.

    - #### mobileEmail

          public final org.eclipse.rdf4j.model.IRI mobileEmail

      A mobile email address of a person.

    - #### mobileTel

          public final org.eclipse.rdf4j.model.IRI mobileTel

      A mobile phone number of a person.

    - #### n

          public final org.eclipse.rdf4j.model.IRI n

      The components of the name of a person.

    - #### nickname

          public final org.eclipse.rdf4j.model.IRI nickname

      The nickname of a person.

    - #### note

          public final org.eclipse.rdf4j.model.IRI note

      Notes about a person on a vCard.

    - #### org

          public final org.eclipse.rdf4j.model.IRI org

      An organization associated with a person.

    - #### organization_name

          public final org.eclipse.rdf4j.model.IRI organization_name

      The name of an organization.

    - #### organization_unit

          public final org.eclipse.rdf4j.model.IRI organization_unit

      The name of a unit within an organization.

    - #### personalEmail

          public final org.eclipse.rdf4j.model.IRI personalEmail

      An email address unaffiliated with any particular organization or employer; a personal email address.

    - #### photo

          public final org.eclipse.rdf4j.model.IRI photo

      A photograph of a person.

    - #### post_office_box

          public final org.eclipse.rdf4j.model.IRI post_office_box

      The post office box of a postal address.

    - #### postal_code

          public final org.eclipse.rdf4j.model.IRI postal_code

      The postal code (e.g., U.S. ZIP code) of a postal address.

    - #### region

          public final org.eclipse.rdf4j.model.IRI region

      The region (e.g., state or province) of a postal address.

    - #### rev

          public final org.eclipse.rdf4j.model.IRI rev

      The timestamp of a revision of a vCard.

    - #### role

          public final org.eclipse.rdf4j.model.IRI role

      A role a person plays within an organization.

    - #### sort_string

          public final org.eclipse.rdf4j.model.IRI sort_string

      A version of a person's name suitable for collation.

    - #### sound

          public final org.eclipse.rdf4j.model.IRI sound

      A sound (e.g., a greeting or pronounciation) of a person.

    - #### street_address

          public final org.eclipse.rdf4j.model.IRI street_address

      The street address of a postal address.

    - #### tel

          public final org.eclipse.rdf4j.model.IRI tel

      A telephone number of a person.

    - #### title

          public final org.eclipse.rdf4j.model.IRI title

      A person's title.

    - #### tz

          public final org.eclipse.rdf4j.model.IRI tz

      A timezone associated with a person.

    - #### uid

          public final org.eclipse.rdf4j.model.IRI uid

      A UID of a person's vCard.

    - #### unlabeledAdr

          public final org.eclipse.rdf4j.model.IRI unlabeledAdr

      An (explicitly) unlabeled address of a person.

    - #### unlabeledEmail

          public final org.eclipse.rdf4j.model.IRI unlabeledEmail

      An (explicitly) unlabeled email address of a person.

    - #### unlabeledTel

          public final org.eclipse.rdf4j.model.IRI unlabeledTel

      An (explicitly) unlabeled phone number of a person.

    - #### url

          public final org.eclipse.rdf4j.model.IRI url

      A URL associated with a person.

    - #### workAdr

          public final org.eclipse.rdf4j.model.IRI workAdr

      A work address of a person.

    - #### workEmail

          public final org.eclipse.rdf4j.model.IRI workEmail

      A work email address of a person.

    - #### workTel

          public final org.eclipse.rdf4j.model.IRI workTel

      A work phone number of a person.

    - #### Address

          public final org.eclipse.rdf4j.model.IRI Address

      Resources that are vCard (postal) addresses.

    - #### addressType

          public final org.eclipse.rdf4j.model.IRI addressType

    - #### Telephone

          public final org.eclipse.rdf4j.model.IRI Telephone

      Resources that are vCard Telephones.

    - #### Location

          public final org.eclipse.rdf4j.model.IRI Location

      Resources that are vCard geographic locations.

    - #### Name

          public final org.eclipse.rdf4j.model.IRI Name

      Resources that are vCard personal names.

    - #### Organization

          public final org.eclipse.rdf4j.model.IRI Organization

      Resources that are vCard organizations.

    - #### VCard

          public final org.eclipse.rdf4j.model.IRI VCard

      Resources that are vCards

  - ### Constructor Detail

    - #### VCard

          public VCard()

  - ### Method Detail

    - #### getInstance

          public static VCard getInstance()